Skip to main content

πŸš€ Quickstart

Connect to Airtable with Nango and see data flow in 2 minutes.
1

Create the integration

In Nango (free signup), go to Integrations -> Configure New Integration -> Airtable.
2

Authorize Airtable

Go to Connections -> Add Test Connection -> Authorize, then log in to Airtable. Later, you’ll let your users do the same directly from your app.
3

Call the Airtable API

Let’s make your first request to the Airtable API (fetch records from a table). Replace the placeholders below with your secret key, integration ID, and connection ID:
curl "https://api.nango.dev/proxy/v0/meta/bases" \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"
Or fetch credentials with the Node SDK or API.βœ… You’re connected! Check the Logs tab in Nango to inspect requests.
4

Implement Nango in your app

Follow our Auth implementation guide to integrate Nango in your app.To obtain your own production credentials, follow the setup guide linked below.

πŸ“š Airtable Integration Guides

Nango maintained guides for common use cases. Official docs: Airtable Web API Documentation

🧩 Pre-built syncs & actions for Airtable

Enable them in your dashboard. Extend and customize to fit your needs.

Others

Function nameDescriptionTypeSource code
basesSync Airtable bases visible to the authenticated user.SyncπŸ”— Github
recordsSync Airtable records for a specific base and table.SyncπŸ”— Github
tablesSync Airtable table schemas across bases in scope.SyncπŸ”— Github
viewsSync Airtable views for bases and tables in scope.SyncπŸ”— Github
webhooksSync Airtable webhooks configured on bases in scopeSyncπŸ”— Github